POST /volcv/v1
Method: POSTEndpoint: /volcv/v1
https://www.volcengine.com/docs/85128/1526761For details, see the official integration documentation
Request Parameters
Query Parameters
text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
object
Example
{
"req_key"
:
"high_aes_general_v30l_zt2i"
,
"prompt"
:
"Vast armies charging forward"
,
"seed"
:
-1
,
"scale"
:
2.5
,
"width"
:
1328
,
"height"
:
1328
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"opacity"
:
0.3
,
"logo_text_content"
:
"This is a visible watermark"
}
}Example Request
Shell
bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"req_key": "high_aes_general_v30l_zt2i",
"prompt": "Vast armies charging forward",
"seed": -1,
"scale": 2.5,
"width": 1328,
"height": 1328,
"return_url": true,
"logo_info": {
"add_logo": false,
"position": 0,
"language": 0,
"opacity": 0.3,
"logo_text_content": "This is a visible watermark"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 10000,
"data": {
"algorithm_base_resp": {
"status_code": 0,
"status_message": "Success"
},
"binary_data_base64": [],
"image_urls": [
"https://xxxx"
],
"infer_ctx": {},
"llm_result": "",
"pe_result": "",
"predict_tags_result": "",
"rephraser_result": "",
"request_id": "9f049575e30035fa30415e594c20018b14f89b52b20ceb146abc93f3e6d379b9",
"vlm_result": ""
},
"message": "Success",
"request_id": "20250403151503DD53B34623F59CF8B86D",
"status": 10000,
"time_elapsed": "3.9656567s"
}